Bug 596373 - Should make sharing easier to get right
Should make sharing easier to get right
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 13:03 EDT by Joerg Bergmann
Modified: 2016-06-24 06:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 15:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joerg Bergmann 2010-05-26 13:03:55 EDT
Description of problem:
On my Laptop, I want to have automatic remote server recognition.
This worked well in f11, did fail in f13. There was a hint
I have to run cupsd now on the local machine (in f11, cupsd
was disabled). Did not work until I changed
BrowseAllow all
by
BrowseAllow from all
as documented at 
http://www.cups.org/doc-1.1/sam.html


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2010-05-27 05:35:23 EDT
(In reply to comment #0)
> On my Laptop, I want to have automatic remote server recognition.
> This worked well in f11, did fail in f13. There was a hint
> I have to run cupsd now on the local machine (in f11, cupsd
> was disabled).

If you weren't running cupsd in Fedora 11, you must have adjusted /etc/cups/client.conf or ~/.cups/client.conf to specify the name of a remote CUPS server to query.

See this page for a reminder of how that works:
http://www.cups.org/documentation.php/doc-1.4/sharing.html

> Did not work until I changed
> BrowseAllow all
> by
> BrowseAllow from all
> as documented at 
> http://www.cups.org/doc-1.1/sam.html

No, those two lines are exactly equivalent.  If you saw any change in behaviour when changing that line, you also had changed something else.

Normally, sharing printers between computers works like this:
1. On the server machine, to which the printer is connected (or on which the queue is defined), make sure to mark the queue as 'Shared', and enable the 'Publish shared printers connected to this system' option in the server settings.

Then, on each client machine, make sure the 'Show printers shared by other systems' option is enabled in the server settings, and adjust the firewall so that 'Network Printing Client (IPP)' is allowed.

What would make all this easier is if system-config-printer would automatically ask the user to agree to adjusting the firewall in each of these situations:

a) the tool is started and there are no printers defined, and the user says they expect there to be.  There should be some explanatory text like:

==>
There are no printers configured yet.  If you want to use printers available on other computers click 'Use Network'.  If you want to define a new local or network printer for this computer click 'Add'.
[Use Network] [Add]
<==

Then if the user clicks 'Use Network' it should (i) adjust the firewall if necessary, and (ii) adjust the CUPS '_remote_printers' option.

If neither option needed changing and there are no 'BrowsePoll' servers defined we could then ask the user for the name of the 'network CUPS server':

==>
No network print servers are being advertised.  Please specify the hostname of your network CUPS server or network printer:
Hostname: [___]
[Cancel] [OK]
<==

When OK is clicked, it should try to contact that machine as a CUPS server to get a list of queues; if that fails, it probably isn't a CUPS server after all and we should launch into the 'Find Network Printer' part of the New Printer dialog.
Comment 2 Joerg Bergmann 2010-05-28 11:33:09 EDT
Did install a second time and all went ok, so we can close the bug.
Comment 3 Tim Waugh 2010-08-23 06:47:31 EDT
I'm going to reopen it because I think there are some useful things we could change (comment #1).
Comment 4 Fedora Admin XMLRPC Client 2016-06-24 06:40:51 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.